%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:           gnome-calculator
Version:        3.16.1
Release:        1
Summary:        A desktop calculator

Group:          Graphical desktop/GNOME
License:        GPLv2+
URL:            http://live.gnome.org/Gcalctool
Source0:        http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libsoup-2.4)
BuildRequires: pkgconfig(gtksourceview-3.0)
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: libxml2-utils
BuildRequires: flex
BuildRequires: bison
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: %{_lib}mpfr-devel

Provides:  gcalctool = 6.6.2-3
Obsoletes: gcalctool < 6.6.2-3


%description
gnome-calculator is a powerful graphical calculator with financial,
logical and scientific modes. It uses a multiple precision package
to do its arithmetic to give a high degree of accuracy.


%prep
%setup -q
%apply_patches


%build
%configure2_5x
%make


%install
%makeinstall_std

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/gnome-calculator.desktop

sed -i 's/GTK/GTK;System/' $RPM_BUILD_ROOT%{_datadir}/applications/gnome-calculator.desktop

%find_lang %{name} --with-gnome --all-name


%files -f %{name}.lang
%doc COPYING NEWS
%{_bindir}/gcalccmd
%{_bindir}/gnome-calculator
%{_libexecdir}/gnome-calculator-search-provider
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.calculator.gschema.xml
%{_datadir}/dbus-1/services/org.gnome.Calculator.SearchProvider.service
%{_datadir}/gnome-shell/search-providers/gnome-calculator-search-provider.ini
%{_datadir}/appdata/gnome-calculator.appdata.xml
%doc %{_mandir}/man1/gnome-calculator.1*
%doc %{_mandir}/man1/gcalccmd.1*


%changelog

* Mon May 25 2015 Tigro <ashejn@yandex-team.ru> 3.16.1-1
- (eb68ccf) drop patch


